# Name of the component is received in a variable
ifndef COMPONENT
$(error COMPONENT not defined)
endif

BASE_SRCS = src0.c src1.c src2.c src3.c src4.c src5.c src6.c src7.c src8.c src9.c \
 src10.c src11.c src12.c src13.c src14.c src15.c src16.c src17.c src18.c src19.c \
 src20.c src21.c src22.c src23.c src24.c src25.c src26.c src27.c src28.c src29.c \
 src30.c src31.c src32.c src33.c src34.c src35.c src36.c src37.c src38.c src39.c \
 src40.c src41.c src42.c src43.c src44.c src45.c src46.c src47.c src48.c src49.c \
 src50.c src51.c src52.c src53.c src54.c src55.c src56.c src57.c src58.c src59.c \
 src60.c src61.c src62.c src63.c src64.c src65.c src66.c src67.c src68.c src69.c \
 src70.c src71.c src72.c src73.c src74.c src75.c src76.c src77.c src78.c src79.c \
 src80.c src81.c src82.c src83.c src84.c src85.c src86.c src87.c src88.c src89.c \
 src90.c src91.c src92.c src93.c src94.c src95.c src96.c src97.c src98.c src99.c

SRCS = $(foreach S,$(BASE_SRCS),$(COMPONENT)/$(S))
OBJS = $(SRCS:.c=.o)
DEPS = $(SRCS:.c=.d)

.PHONY: all
all: $(OBJS)

# Rule for compiling sources
%.o: %.c
	echo "CC  $(notdir $<) [$(COMPONENT)]"
	$(CC) -Wall -O2 -c -o $@ $<

# Rule for creation of dependency files
%.d: %.c
	echo "DEP $(notdir $<) [$(COMPONENT)]"
	$(CPP) -Wall -o $@ -MM -MT $@ -MT $(basename $@).o $<

# Include dependency files
include $(DEPS)
